/* Applique la règle de box-sizing à tous les éléments */
* {
    box-sizing: border-box;
}

/* Définir les styles de base pour le corps */
body {
    font-family: Arial, Helvetica, sans-serif;
    /* Police de base */
    color: #000000 !important;
    /* Couleur de texte noire */
    background-color: #90bad6 !important;
    /* Fond bleu clair */
}

/* Style pour un fond de section spécifique */
.background {
    background-image: url('image/background3.webp');
    /* Image d'arrière-plan */
    background-size: cover;
    /* L'image couvre toute la section */
    background-position: center;
    /* Centre l'image */
    min-height: 100vh;
    /* Hauteur minimale de la section : 100% de la hauteur de la fenêtre */
}

/* Classe pour le fond de la navigation (transparent) */
.bgNav {
    background-color: #ffffff00 !important;
    /* Transparence */
}

/* Style du titre principal */
.titre {
    border: solid 1px black;
    /* Bordure noire */
    box-shadow: 0px 5px 5px rgb(146, 146, 146);
    /* Ombre portée */
    font-family: "Pacifico", cursive;
    /* Police spécifique */
    margin-bottom: 4em;
    /* Marge inférieure importante */
}

/* Styles de la carte (flip-card) */
.flip-card {
    background-color: transparent;
    /* Fond transparent */
    width: 400px;
    /* Largeur fixe */
    height: 500px;
    /* Hauteur fixe */
    perspective: 1000px;
    /* Effet de perspective */
}

.flip-card-inner {
    position: relative;
    /* Position relative à la carte */
    width: 100%;
    /* Largeur à 100% du parent */
    height: 100%;
    /* Hauteur à 100% du parent */
    text-align: center;
    /* Texte centré */
    transition: transform 1s;
    /* Animation de transition */
    transform-style: preserve-3d;
    /* Effet 3D */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    /* Ombre légère */
}

/* Animation au survol pour retourner la carte */
.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
    /* Rotation à 180 degrés */
}

.flip-card-front,
.flip-card-back {
    position: absolute;
    /* Position absolue */
    width: 100%;
    /* Largeur à 100% du parent */
    height: 100%;
    /* Hauteur à 100% du parent */
    -webkit-backface-visibility: hidden;
    /* Masque l'arrière de la carte */
    backface-visibility: hidden;
    /* Masque l'arrière de la carte */
}

.flip-card-front {
    background-color: #c6ebfc;
    /* Bleu clair */
    color: black;
    /* Texte noir */
}

.flip-card-back {
    background-color: #6bb9ec;
    /* Bleu plus foncé */
    color: white;
    /* Texte blanc */
    transform: rotateY(180deg);
    /* Rotation à 180 degrés */
}

/* Bouton pour appliquer */
.buttonAppliquer {
    border-radius: 50%;
    /* Forme arrondie */
    width: 100%;
    /* Largeur complète */
    border: solid 1px rgb(167, 167, 167) !important;
    /* Bordure grise */
    margin: 2em;
    /* Marge tout autour */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    /* Ombre portée */
    background-color: green !important;
    /* Fond vert */
}

/* Animation au survol du bouton */
.buttonAppliquer:hover {
    background-color: green !important;
    /* Conserve la couleur verte */
    transform: scale(1.02);
    /* Légère mise à l'échelle */
}

/* Effet visuel lors du clic sur le bouton */
.buttonAppliquer:active {
    box-shadow: 0 1px #000000;
    /* Ombre plus légère */
    transform: translateY(3px);
    /* Déplacement vers le bas */
}

/* Boutons de recherche */
.btnSearch {
    color: #000000 !important;
    /* Texte noir */
    border-color: #000000 !important;
    /* Bordure noire */
    background-color: #aaaaaa !important;
    /* Fond gris clair */
}

.btnSearch:hover {
    background-color: rgb(112, 112, 112) !important;
    /* Fond gris plus foncé au survol */
    color: aliceblue !important;
    /* Texte blanc */
}

/* Style des badges */
.badge {
    font-size: 15px !important;
    /* Taille de police des badges */
}

/* Style spécifique pour les logos */
.logoAdd {
    color: rgb(255, 255, 255);
    /* Couleur blanche */
}

/* Texte en gras */
.text-bold {
    font-weight: bold;
    /* Texte gras */
}

/* Couleur du texte */
.colorTexte {
    color: #12649b;
    /* Bleu spécifique */
}

/* Texte d'âge */
.texteAge {
    color: green;
    /* Texte en vert */
    font-weight: bold;
    /* Texte en gras */
}

/* Flip card */

/* Boutons et logos */
.logo {
    margin-right: 2em !important;
    /* Marge à droite */
    margin-left: 2em !important;
    /* Marge à gauche */
}

.link-noir {
    color: black !important;
    /* Texte noir */
}

.logo:hover {
    transform: scale(1.5);
    /* Agrandit le logo au survol */
    transition: transform 0.3s ease;
    /* Animation d'agrandissement */
}

/* Bouton pour la carte */
.btnFlipCard {
    width: 150px;
    /* Largeur fixe */
}

/* Formulaire d'inscription */

/* Contexte du formulaire */
.bgColorForm {
    background-color: rgba(144, 175, 202, 0.863);
    /* Couleur de fond semi-transparente */
    border-radius: 25px;
    /* Angles arrondis */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    /* Ombre portée */
}

/* Bouton pour retirer une compétence */
.remove-skill {
    cursor: pointer;
    /* Pointeur au survol */
    color: red;
    /* Couleur rouge */
}

/* Conteneur pour les compétences */
.skills-container {
    display: flex;
    /* Affichage flexbox */
    flex-wrap: wrap;
    /* Retour à la ligne si nécessaire */
    list-style: none;
    /* Pas de puces */
    padding: 0;
    /* Pas de marges internes */
}

/* Élément de compétence individuelle */
.skill-item {
    display: flex;
    /* Flexbox */
    align-items: center;
    /* Aligne verticalement */
    margin-top: 10px;
    /* Marge supérieure */
    margin-right: 10px;
    /* Marge à droite */
    background: #f8f9fa;
    /* Fond gris clair */
    border: 1px solid #ccc;
    /* Bordure grise */
    border-radius: 5px;
    /* Angles arrondis */
    padding: 5px 10px;
    /* Marges internes */
}

/* Icône à l'intérieur de l'élément de compétence */
.skill-item i {
    margin-left: 5px;
    /* Marge à gauche de l'icône */
    cursor: pointer;
    /* Pointeur au survol */
    color: red;
    /* Couleur rouge */
}

/* Lien sans soulignement */
a {
    text-decoration: none !important;
    /* Supprime le soulignement */
}